Bug 184972 - New port: net-p2p/bitcoin-daemon A slave port for the headless daemon
Summary: New port: net-p2p/bitcoin-daemon A slave port for the headless daemon
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-18 16:40 UTC by Chad Jacob Milios
Modified: 2014-01-01 18:00 UTC (History)
0 users

See Also:


Attachments
file.shar (754 bytes, text/plain)
2013-12-18 16:40 UTC, Chad Jacob Milios
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chad Jacob Milios 2013-12-18 16:40:00 UTC
This is a slave port of net-p2p/bitcoin so as to allow bitcoin-qt and bitcoind to easily coexist on a system. The maintainer of net-p2p/bitcoin agrees a slave port is the way to go, as the build system the dist uses kind of insists you go down just one path or the other despite there being no reason you can't have both.

Fix: see attachment for shar

Patch attached with submission follows:
Comment 1 Steve Wills freebsd_committer 2013-12-21 02:28:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 dfilter service freebsd_committer 2014-01-01 17:52:56 UTC
Author: swills
Date: Wed Jan  1 17:52:49 2014
New Revision: 338383
URL: http://svnweb.freebsd.org/changeset/ports/338383

Log:
  Slave port of net-p2p/bitcoin so as to allow bitcoin-qt and bitcoind to easily
  coexist on a system.
  
  PR:		ports/184972
  Submitted by:	"Chad J. Milios" <milios@ccsys.com>

Added:
  head/net-p2p/bitcoin-daemon/
  head/net-p2p/bitcoin-daemon/Makefile   (contents, props changed)
Modified:
  head/net-p2p/Makefile

Modified: head/net-p2p/Makefile
==============================================================================
--- head/net-p2p/Makefile	Wed Jan  1 16:50:03 2014	(r338382)
+++ head/net-p2p/Makefile	Wed Jan  1 17:52:49 2014	(r338383)
@@ -7,6 +7,7 @@
     SUBDIR += amule-devel
     SUBDIR += azureus2
     SUBDIR += bitcoin
+    SUBDIR += bitcoin-daemon
     SUBDIR += bitflu
     SUBDIR += bitmessage
     SUBDIR += bittyrant

Added: head/net-p2p/bitcoin-daemon/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net-p2p/bitcoin-daemon/Makefile	Wed Jan  1 17:52:49 2014	(r338383)
@@ -0,0 +1,9 @@
+# $FreeBSD$
+
+PKGNAMESUFFIX=	-daemon
+COMMENT=	Virtual Peer-to-Peer Currency Client
+MASTERDIR=	${.CURDIR}/../bitcoin
+DESCR=		${MASTERDIR}/pkg-descr
+SLAVE_PORT=	yes
+OPTIONS_EXCLUDE=	GUI QRCODES
+.include "${MASTERDIR}/Makefile"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-01-01 17:53:00 UTC
State Changed
From-To: open->closed

New port added. Thanks!